%define qtdir /usr/lib/qt-1.44
%define kdeprefix /usr
%define version 0.83
%define kderelease 2

%define kdename  kdiff
Name: %{kdename}
Summary: A KDE front-end for diff.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/utils/%{kdename}-%{version}.tgz
License: GPL
Group: Development/Tools
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}

%description
KDiff is a K Desktop Environment (KDE) based GUI front-end for diff (a
utility that displays the differences between files and is usually
used to make patches).  KDiff displays the differences between the two
files side-by-side, with different colors highlighting the changes.
This display is much easier to understand than the native output
format from diff. You'll need to have X and KDE installed to use
KDiff.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
find . -name .deps | xargs rm -fr

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







